//*************************************************************************************************
//*************************************************************************************************
//*************************************************************************************************
//**
//**  ORDER DESCRIPTION - CONFIGURATION SOFTWARE PCS45
//**  DATAINSTANCES.PAS
//**
//**  Declaration of all global instances (variables) for PCS45
//**
//**  Autor : Georg  Hahn
//**  Datum :  14.11.96 / 15.09.99 / 31.03.03 / 11.08.05 / ... / 25.10.08 / 10.11.09 / 11.04.14
//**
//*************************************************************************************************
//*************************************************************************************************
//*************************************************************************************************
unit DataInstances;

interface

uses Controls, Types, DataTypes, HartDataTypes;

var
  LoadDllStr:   procedure(Number,MaxTargetLength: integer; Target: PChar); stdcall;

  OwnPath, OwnName: string;       // Application path and name

  OriginalCursor: TCursor;

  ActiveLibrary: longint;
  LanguageInfos: TLanguageInfos;

  CFG45 : TCFG45;         // tool configuration data
  MOD45 : TMOD45;         // tool modus data

  DefaultDevIdent: THDeviceIdentifier;

{$IFDEF ExcelSupport}
  ExcelApp: OLEVariant;
{$ENDIF}
  ExcelAvailable: boolean;

  LanguageStrings: TLabelInfos;

implementation

end.
