program Pcs45;

uses
  Forms,
  Dialogs,
  Pcs45Main in 'Forms\Pcs45Main.pas' {fmPcs45Main},
  NewDevice in 'Forms\NewDevice.pas' {fmNewDevice},
  Transfer in 'Forms\Transfer.pas' {fmTransfer},
  BasicData in 'Forms\BasicData.pas' {fmBasicData},
  ModuleData_32 in 'Forms\ModuleData_32.pas' {fmModuleData_32},
  SetAndCalibrate in 'Forms\SetAndCalibrate.pas' {fmSetAndCalibrate},
  DigitalDiagnostics in 'Forms\DigitalDiagnostics.pas' {fmDigitalDiagnostics},
  Status in 'Forms\Status.pas' {fmStatus},
  Monitor in 'Forms\Monitor.pas' {fmMonitor},
  DataLogger in 'Forms\DataLogger.pas' {fmDataLogger},
  Password in 'Forms\Password.pas' {fmPassword},
  Language in 'Forms\Language.pas' {fmLanguage},
  ErrorIndication in 'Forms\ErrorIndication.pas' {fmErrorIndication},
  About in 'Forms\About.pas' {fmAbout},
  Inspection in 'Forms\Inspection.pas' {fmInspection},
  SheetNames in 'Forms\SheetNames.pas' {fmSheetNames},
  DataTypes in 'Units\DataTypes.pas',
  DataInstances in 'Units\DataInstances.pas',
  HartDataTypes in 'Units\HartDataTypes.pas',
  DataConstants in 'Units\DataConstants.pas',
  HartCommands in 'Units\HartCommands.pas',
  ConversionProcs in 'Units\ConversionProcs.pas',
  LabelNumbers in 'Units\LabelNumbers.pas',
  HartModules in 'Units\HartModules.pas',
  SystemProcs in 'Units\SystemProcs.pas',
  ComparisonProcs in 'Units\ComparisonProcs.pas',
  DemoOperation in 'Units\DemoOperation.pas',
  LanguageStringProcs in 'Units\LanguageStringProcs.pas',
  HelpContextNumbers in 'Units\HelpContextNumbers.pas',
  HartDataConstants in 'Units\HartDataConstants.pas',
  ImportExportProcs in 'Units\ImportExportProcs.pas',
  ModuleData_73 in 'Forms\ModuleData_73.pas' {fmModuleData_73},
  ModuleData_76 in 'Forms\ModuleData_76.pas' {fmModuleData_76},
  PortSelection in 'Forms\PortSelection.pas' {fmPortSelection},
  ChangeDevice in 'Forms\ChangeDevice.pas' {fmChangeDevice},
  TempUtils in 'Units\TempUtils.pas',
  Calculator in 'Forms\Calculator.pas' {fmCalculator},
  HardwareConfig in 'Forms\HardwareConfig.pas' {fmHardwareConfig},
  MTL4575Sources in 'Units\MTL4575Sources.pas',
  ArraysAndGrids in 'Library\ArraysAndGrids.pas',
  ConversionUtils in 'Library\ConversionUtils.pas',
  DynLoadFTD2XX in 'Library\DynLoadFTD2XX.pas',
  EditControls in 'Library\EditControls.pas',
  GroupControls in 'Library\GroupControls.pas',
  HartDevices in 'Library\HartDevices.pas',
  LnCRCFileStream in 'Library\LnCRCFileStream.pas',
  ProcessUtils in 'Library\ProcessUtils.pas',
  RegUtils in 'Library\RegUtils.pas',
  SerialComDevices in 'Library\SerialComDevices.pas',
  SerialFTDevices in 'Library\SerialFTDevices.pas',
  StringUtils in 'Library\StringUtils.pas',
  UsefulObjects in 'Library\UsefulObjects.pas';

{$R *.res}

begin
  try
    Application.Initialize;
    Application.MainFormOnTaskbar := True;
    Application.Title := 'PCS45 Configuration';
    Application.CreateForm(TfmPcs45Main, fmPcs45Main);
  Application.Run;
  except
    MessageDlg('System Error. Cannot launch PCS45.',mtError,[mbOK],hcNoHelpTopic);
  end;
end.
